Package org.picocontainer.behaviors

# Class Automated<T>

java.lang.Object
org.picocontainer.behaviors.AbstractBehavior<T>
org.picocontainer.behaviors.Automated<T>

All Implemented Interfaces:
  `Serializable`, `Behavior<T>`, `ComponentAdapter<T>`, `ComponentLifecycle<T>`, `ComponentMonitorStrategy`, `LifecycleStrategy`

public class Automated<T> extends AbstractBehavior<T> implements Behavior<T>, Serializable

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter

`ComponentAdapter.NOTHING`

## Field Summary

### Fields inherited from class org.picocontainer.behaviors.AbstractBehavior

`delegate`

## Constructor Summary

Constructors
Constructor
Description
`Automated(ComponentAdapter<T> delegate)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescriptor()`
Get a string key descriptor of the component adapter for use in toString()
`boolean`
`hasLifecycle(Class<?> type)`
Invokes delegate hasLifecycle(Class) method if the delegate is a LifecycleStrategy Invokes delegate hasLifecycle(Class) method if the delegate is a LifecycleStrategy Test if a component instance has a lifecycle.

### Methods inherited from class org.picocontainer.behaviors.AbstractBehavior

`accept, changeMonitor, componentHasLifecycle, currentMonitor, dispose, dispose, findAdapterOfType, getComponentImplementation, getComponentInstance, getComponentInstance, getComponentKey, getDelegate, isLazy, isStarted, start, start, stop, stop, toString, verify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.picocontainer.ComponentAdapter

`accept, findAdapterOfType, getComponentImplementation, getComponentInstance, getComponentInstance, getComponentKey, getDelegate, verify`

### Methods inherited from interface org.picocontainer.ComponentLifecycle

`componentHasLifecycle, dispose, isStarted, start, stop`

## Constructor Details

### Automated

public Automated(ComponentAdapter<T> delegate)

## Method Details

### hasLifecycle

public boolean hasLifecycle(Class<?> type)
Description copied from class: `AbstractBehavior`
Invokes delegate hasLifecycle(Class) method if the delegate is a LifecycleStrategy Test if a component instance has a lifecycle.

Specified by:
  `hasLifecycle` in interface `LifecycleStrategy`
Overrides:
  `hasLifecycle` in class `AbstractBehavior<T>`
Parameters:
  `type` - the component's type
Returns:
  `true` if the component has a lifecycle

### getDescriptor

public String getDescriptor()
Description copied from interface: `ComponentAdapter`
Get a string key descriptor of the component adapter for use in toString()

Specified by:
  `getDescriptor` in interface `ComponentAdapter<T>`
Returns:
  the descriptor